---
search:
  tags:
    - Channels V2
    - PATCH
seo:
  description: >-
    Bulk-sets the publishing status of… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/channels/products endpoint in the Management
    API v2.
sidebar:
  label: Update channel product statuses
  badge: PATCH
title: Update channel product statuses
type: openapi-operation
---
Bulk-sets the publishing status of channel-to-product memberships.

`PATCH /api/v2/{team_slug}/{app_slug}/channels/products`

**Request body** (`application/json`, required)

- `products` (PatchChannelProductStatusItem[], required)

Request body example:

```json
{
  "products": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "status": "string"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "status": "string",
      "status_updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "message": "string"
    }
  ]
}
```
